Commit 4978dc29 authored by Julian Taylor's avatar Julian Taylor

rename libfftw3-mpi-3 to libfftw3-mpi3 to conform to naming rules

parent b963bcbd
......@@ -12,9 +12,10 @@ fftw3 (3.3.1-4) UNRELEASED; urgency=low
* wrap-and-sort debian directory
* minor package description cleanup
* stop using removed --enable-portable-binary which is now default
* Build the openmp and pthread libraries into libfftw3-mt-{3,dev}
* Build the openmp and pthread libraries into libfftw3-mt{3,dev}
* rename libfftw3-mpi-3 to libfftw3-mpi3 to conform to naming rules
-- Julian Taylor <jtaylor.debian@googlemail.com> Thu, 22 Mar 2012 23:07:17 +0100
-- Julian Taylor <jtaylor.debian@googlemail.com> Fri, 23 Mar 2012 00:26:17 +0100
fftw3 (3.3.1-3) experimental; urgency=low
......
......@@ -19,7 +19,7 @@ Package: libfftw3-3
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-dev, libfftw3-mt-3 (>= 3.3.1-4)
Suggests: libfftw3-dev, libfftw3-mt3 (>= 3.3.1-4)
Provides: fftw3
Replaces: fftw3
Conflicts: fftw3
......@@ -34,7 +34,7 @@ Description: Library for computing Fast Fourier Transforms
To get the static library and the header files, you need to install
libfftw3-dev. For documentation, see libfftw3-doc.
Package: libfftw3-mt-3
Package: libfftw3-mt3
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
......@@ -53,11 +53,13 @@ Description: Threaded library for computing Fast Fourier Transforms
To get the static libraries and the header files, you need to install
libfftw3-mt-dev. For documentation, see libfftw3-doc.
Package: libfftw3-mpi-3
Package: libfftw3-mpi3
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-mpi-dev
Breaks: libfftw3-mpi-3
Replaces: libfftw3-mpi-3
Multi-Arch: same
Description: MPI Library for computing Fast Fourier Transforms
The FFTW library computes Fast Fourier Transforms (FFT) in one or more
......@@ -101,7 +103,7 @@ Description: Threaded library for computing Fast Fourier Transforms - developmen
Package: libfftw3-mpi-dev
Architecture: any
Section: libdevel
Depends: libfftw3-mpi-3 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Depends: libfftw3-mpi3 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: MPI Library for computing Fast Fourier Transforms - development
The FFTW library computes Fast Fourier Transforms (FFT) in one or more
dimensions. It is extremely fast. This package contains the statically linked
......
......@@ -138,7 +138,7 @@ binary-arch: build-arch
dh_install -a --sourcedir=debian/tmp-long-double; \
fi
rm debian/libfftw3-3/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*mpi* debian/libfftw3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*mpi* debian/libfftw3-dev/usr/include/*mpi*
chrpath --delete debian/libfftw3-mpi-3/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*mpi*so*
chrpath --delete debian/libfftw3-mpi3/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*mpi*so*
rm debian/libfftw3-3/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*threads* debian/libfftw3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*threads*
rm debian/libfftw3-3/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*omp* debian/libfftw3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*omp*
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment